Bug 612241 - Review Request: telepathy-logger - Telepathy framework logging daemon
Review Request: telepathy-logger - Telepathy framework logging daemon
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 12:09 EDT by Brian Pepple
Modified: 2010-07-09 14:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-09 14:41:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mclasen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2010-07-07 12:09:05 EDT
Spec URL: http://bpepple.fedorapeople.org/rpms/telepathy-logger.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/telepathy-logger-0.1.3-1.fc14.src.rpm
Description: telepathy-logger is a headless Observer client that logs information
received by the Telepathy framework. It features pluggable backends to log different sorts of messages, in different formats.

Note: This is needed for the latest version of Empathy.
Comment 1 Matthias Clasen 2010-07-07 21:00:59 EDT
Builds fine in mock. rpmlint output:

$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
telepathy-logger.src: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
telepathy-logger.src: W: spelling-error %description -l en_US backends -> backbends, back ends, back-ends
telepathy-logger.src:19: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 19)
telepathy-logger.x86_64: W: spelling-error %description -l en_US pluggable -> plug gable, plug-gable, plugged
telepathy-logger.x86_64: W: spelling-error %description -l en_US backends -> backbends, back ends, back-ends
telepathy-logger.x86_64: E: binary-or-shlib-defines-rpath /usr/libexec/telepathy-logger ['/usr/lib64']
telepathy-logger.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/telepathy-logger.schemas
telepathy-logger.x86_64: W: dangerous-command-in-%pre rm
telepathy-logger.x86_64: W: dangerous-command-in-%post rm
4 packages and 0 specfiles checked; 1 errors, 8 warnings.
Comment 2 Matthias Clasen 2010-07-07 21:07:03 EDT
Looks like all the rpmlint warnings are ignorable, except for the rpath.

Some minor cleanups possible:

BuildRoot is not longer needed

rm -rf $RPM_BUILD_ROOT in %install is no longer needed

%clean is no longer needed
Comment 3 Brian Pepple 2010-07-07 21:20:48 EDT
Ah, forgot to run rpmlint on an x86_64 binary. I'll go ahead and clean up the changes you mentioned and upload a new version tomorrow. Thanks for taking the time to look at this, Matthias!
Comment 4 Brian Pepple 2010-07-08 08:44:43 EDT
Spec URL: http://bpepple.fedorapeople.org/rpms/telepathy-logger.spec
SRPM URL: http://bpepple.fedorapeople.org/rpms/telepathy-logger-0.1.3-2.fc13.src.rpm

* Wed Jul  7 2010 Brian Pepple <bpepple@fedoraproject.org> - 0.1.3-2
- Remove unnecessary buildroot info.
- Remove rpath.
Comment 5 Matthias Clasen 2010-07-08 10:14:38 EDT
package name: ok
spec file name: ok
packaging guidelines: ok
license: ok
license field: ok
license file: ok
spec file language: ok
spec file readable: yes
upstream sources: ok
buildable: yes
excludearch: ok
buildrequires: ok
locale handling: ok
shared libs: ok
system libs: ok
relocatable: ok
directory ownership: ok
duplicate files: ok
file permissions: ok
macro use: ok
permissible content: ok
large docs: ok
%doc content: ok
header files: ok
static libs: ok
shared libs: ok
devel deps: ok
libtool: ok
gui apps: ok
file ownership: ok
utf8 filenames: ok

Approved
Comment 6 Brian Pepple 2010-07-08 10:22:09 EDT
New Package CVS Request
=======================
Package Name: telepathy-logger
Short Description: Telepathy framework logging daemon
Owners: bpepple
Branches: 
InitialCC:
Comment 7 Kevin Fenzi 2010-07-09 14:23:53 EDT
CVS done (by process-cvs-requests.py).
Comment 8 Brian Pepple 2010-07-09 14:41:32 EDT
Imported & built for devel. Matthias, thanks again for the review.

Note You need to log in before you can comment on or make changes to this bug.